if (!("finalizeConstruction" in ViewPU.prototype)) {
    Reflect.set(ViewPU.prototype, "finalizeConstruction", () => { });
}
interface Index_Params {
}
import type common from "@ohos:app.ability.common";
import type Want from "@ohos:app.ability.Want";
import hilog from "@ohos:hilog";
import type { BusinessError } from "@ohos:base";
const DOMAIN_NUMBER: number = 0xFF00;
const TAG: string = '[Page_Interactive03Index]';
class Index extends ViewPU {
    constructor(parent, params, __localStorage, elmtId = -1, paramsLambda = undefined, extraInfo) {
        super(parent, __localStorage, elmtId, extraInfo);
        if (typeof paramsLambda === "function") {
            this.paramsGenerator_ = paramsLambda;
        }
        this.setInitiallyProvidedValue(params);
        this.finalizeConstruction();
    }
    setInitiallyProvidedValue(params: Index_Params) {
    }
    updateStateVars(params: Index_Params) {
    }
    purgeVariableDependenciesOnElmtId(rmElmtId) {
    }
    aboutToBeDeleted() {
        SubscriberManager.Get().delete(this.id__());
        this.aboutToBeDeletedInternal();
    }
    initialRender() {
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            RelativeContainer.create();
            RelativeContainer.height('100%');
            RelativeContainer.width('100%');
        }, RelativeContainer);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Button.createWithLabel("启动其他应用的UIAbility");
            Button.alignRules({
                center: { anchor: '__container__', align: VerticalAlign.Center },
                middle: { anchor: '__container__', align: HorizontalAlign.Center }
            });
            Button.onClick(() => {
                let context: common.UIAbilityContext = getContext(this) as common.UIAbilityContext;
                let want: Want = {
                    deviceId: '',
                    action: 'ohos.want.action.viewData',
                    entities: ['entity.system.default']
                };
                context.startAbility(want).then(() => {
                    hilog.info(DOMAIN_NUMBER, TAG, 'Succeeded in starting FuncAbility.');
                }).catch((err: BusinessError) => {
                    hilog.error(DOMAIN_NUMBER, TAG, `Failed to start FuncAbility. Code is ${err.code}, message is ${err.message}`);
                });
            });
        }, Button);
        Button.pop();
        RelativeContainer.pop();
    }
    rerender() {
        this.updateDirtyElements();
    }
    static getEntryName(): string {
        return "Index";
    }
}
registerNamedRoute(() => new Index(undefined, {}), "", { bundleName: "com.example.uiabilitycomponentsinteractive03", moduleName: "entry", pagePath: "pages/Index", pageFullPath: "entry/src/main/ets/pages/Index", integratedHsp: "false" });
