if (!("finalizeConstruction" in ViewPU.prototype)) {
    Reflect.set(ViewPU.prototype, "finalizeConstruction", () => { });
}
interface FuncIndex_Params {
}
import type common from "@ohos:app.ability.common";
import hilog from "@ohos:hilog";
const DOMAIN_NUMBER: number = 0xFF00;
const TAG: string = '[Page_FuncIndex]';
class FuncIndex extends ViewPU {
    constructor(parent, params, __localStorage, elmtId = -1, paramsLambda = undefined, extraInfo) {
        super(parent, __localStorage, elmtId, extraInfo);
        if (typeof paramsLambda === "function") {
            this.paramsGenerator_ = paramsLambda;
        }
        this.setInitiallyProvidedValue(params);
        this.finalizeConstruction();
    }
    setInitiallyProvidedValue(params: FuncIndex_Params) {
    }
    updateStateVars(params: FuncIndex_Params) {
    }
    purgeVariableDependenciesOnElmtId(rmElmtId) {
    }
    aboutToBeDeleted() {
        SubscriberManager.Get().delete(this.id__());
        this.aboutToBeDeletedInternal();
    }
    initialRender() {
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            RelativeContainer.create();
            RelativeContainer.height('100%');
            RelativeContainer.width('100%');
        }, RelativeContainer);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Button.createWithLabel("关闭当前页");
            Button.alignRules({
                center: { anchor: '__container__', align: VerticalAlign.Center },
                middle: { anchor: '__container__', align: HorizontalAlign.Center }
            });
            Button.onClick(() => {
                let context: common.UIAbilityContext = getContext(this) as common.UIAbilityContext;
                const RESULT_CODE: number = 1001;
                let abilityResult: common.AbilityResult = {
                    resultCode: RESULT_CODE,
                    want: {
                        bundleName: 'com.example.uiabilitycomponentsinteractive031',
                        moduleName: 'entry',
                        abilityName: 'EntryAbility',
                        parameters: {
                            info: '来自FuncIndex页面'
                        }
                    }
                };
                context.terminateSelfWithResult(abilityResult, err => {
                    if (err.code) {
                        hilog.error(DOMAIN_NUMBER, TAG, `Failed to terminate self with result. Code is ${err.code}, message is ${err.message}`);
                        return;
                    }
                });
            });
        }, Button);
        Button.pop();
        RelativeContainer.pop();
    }
    rerender() {
        this.updateDirtyElements();
    }
    static getEntryName(): string {
        return "FuncIndex";
    }
}
registerNamedRoute(() => new FuncIndex(undefined, {}), "", { bundleName: "com.example.uiabilitycomponentsinteractive031", moduleName: "entry", pagePath: "pages/FuncIndex", pageFullPath: "entry/src/main/ets/pages/FuncIndex", integratedHsp: "false" });
